/*
 * netsniff-ng - the packet sniffing beast
 * By Daniel Borkmann <daniel@netsniff-ng.org>
 * Copyright 2009, 2010 Daniel Borkmann.
 * Subject to the GPL, version 2.
 */

#ifndef DISSECTOR_H
#define DISSECTOR_H

#include <stdlib.h>
#include <stdint.h>

#define LINKTYPE_NULL       0	/* BSD loopback encapsulation */
#define LINKTYPE_EN10MB     1	/* Ethernet (10Mb) */
#define LINKTYPE_EN3MB      2	/* Experimental Ethernet (3Mb) */
#define LINKTYPE_AX25       3	/* Amateur Radio AX.25 */
#define LINKTYPE_PRONET     4	/* Proteon ProNET Token Ring */
#define LINKTYPE_CHAOS      5	/* Chaos */
#define LINKTYPE_IEEE802    6	/* 802.5 Token Ring */
#define LINKTYPE_ARCNET     7	/* ARCNET, with BSD-style header */
#define LINKTYPE_SLIP       8	/* Serial Line IP */
#define LINKTYPE_PPP        9	/* Point-to-point Protocol */
#define LINKTYPE_FDDI      10	/* FDDI */

#define FNTTYPE_PRINT_NORM	0
#define FNTTYPE_PRINT_LESS	1
#define FNTTYPE_PRINT_PAY_HEX	2
#define FNTTYPE_PRINT_ALL_HEX	3
#define FNTTYPE_PRINT_NO_PAY	4
#define FNTTYPE_PRINT_PAY_ASCII	5
#define FNTTYPE_PRINT_NONE	6

extern void dissector_init_all(int fnttype);
extern void dissector_entry_point(uint8_t *packet, size_t len, int linktype);
extern void dissector_cleanup_all(void);
extern int dissector_set_print_type(void *ptr, int type);

#endif /* DISSECTOR_H */
